<%@ page import="com.cidat.proclets.*,java.util.*,q53_util.*;" session="true" %>
<% 
com.cidat.proclets.ProcletServiceData sd=(com.cidat.proclets.ProcletServiceData)request.getAttribute("com.cidat.proclets.sd"); 
String q53_idioma = q53Util.getIdioma(sd);
//Literales
String not_formato= q53Util.getLiteral(sd, "NOT_FORMATO", q53_idioma);
String not_datos= q53Util.getLiteral(sd, "NOT_DATOS", q53_idioma);
String not_rollo= q53Util.getLiteral(sd, "NOT_ROLLO", q53_idioma);
String not_norollo= q53Util.getLiteral(sd, "NOT_NOROLLO", q53_idioma);
String not_fila= q53Util.getLiteral(sd, "NOT_FILA", q53_idioma);
String not_columna= q53Util.getLiteral(sd, "NOT_COLUMNA", q53_idioma);
String not_aceptar= q53Util.getLiteral(sd, "NOT_ACEPTAR", q53_idioma);
String not_cancelar= q53Util.getLiteral(sd, "NOT_CANCELAR", q53_idioma);
%>
<!doctype>   
<script language="JavaScript">	

	function generar_notificaciones_en_batch() {
		var url;
		if(validar_fila_columna(document.all['fila'],document.all['columna'])){
			if(document.frm.formato_impresion[0].checked){
			    url="/q53ItourbaskWar/q53usrNotificacionesServlet?hacer_batch=si&generar_etiquetas=1&num_notificaciones=<%=sd.gOS("num_notificaciones")%>";
				url += "&posicion="+document.all['fila'].value+document.all['columna'].value;
			}else{
				url="/q53ItourbaskWar/q53usrNotificacionesServlet?hacer_batch=si&generar_rollo=1&num_notificaciones=<%=sd.gOS("num_notificaciones")%>";
				url += "&posicion=1";
			}
			document.location.href = url;
		}
	}
																										
	function generar_notificacion() {
		var url;
		if(validar_fila_columna(document.all['fila'],document.all['columna'])){
			url = "/q53ItourbaskWar/q53usrNotificacionesServlet";
			url += "?nombre=<%=sd.gOS("nombre")%>";
			url += "&direccion=<%=sd.gOS("direccion")%>";
			url += "&localidad=<%=sd.gOS("localidad")%>";
			url += "&codPostal=<%=sd.gOS("codPostal")%>";
			if(document.frm.formato_impresion[0].checked){
				url += "&posicion="+document.all['fila'].value+document.all['columna'].value;
				url += "&generar_etiquetas=1";
			}else{
				url += "&posicion=1";
				url += "&generar_rollo=1";
			}
			
			document.location.href = url;
		}
	}
	
	function validar_fila_columna(fila,columna){
		var patronFila=/^\d{0}[1-7]$/;
		var patronColumna=/^\d{0}[1-2]$/;
		var resultado=true;
		if(document.frm.formato_impresion[0].checked){
			if(!((fila.value.match(patronFila))&& (fila.value!=''))){
				alert("Por favor, introduzca correctamente el numero de fila (Del 1 al 7)");
				fila.focus();
				resultado=false;
			}	
			if(!((columna.value.match(patronColumna))&& (columna.value!=''))){
				alert("Por favor, introduzca correctamente el numero de columna (Del 1 al 2)");
				columna.focus();
				resultado=false;
			}
		}
		return resultado;	
	}
	
</script>                      
<html>
<head>
<title> itourbask </title>
<link rel="stylesheet" href="/appcont/itourbask/styles/estilos.css" type="text/css">
<script src="/appcont/itourbask/scripts/param.js"></script>
<script src="/appcont/itourbask/scripts/general.js"></script>
</head>
<body topmargin="0" leftmargin="0" marginwidth="0" marginheight="0" onload="document.frm.formato_impresion[0].checked=true">
<!-- CABECERA -->
<table border="0" cellspacing="0" cellpadding="0" width="100%">
	<tr>
		<td align="left"><a href="/appcont/itourbask/indice_c.htm" hidefocus><img src="/appcont/itourbask/imgs/Cabecera_logo_iTourbask.gif" height="60" alt="<%= (q53_idioma.equals("E")?"Itzuli orrialde nagusira":"Volver a la página principal")%>" border="0"></a></td>
		<td align="center"><img src="/appcont/itourbask/imgs/Cabecera_fondo_iTourbask.gif" width="350" height="60"></td>
		<td align="left"><img src="/appcont/itourbask/imgs/Cabecera_fotos_iTourbask.jpg" width="400" height="60"></td>
	</tr>
	<tr><td colspan="3" bgcolor="#087BBA"><img src="/appcont/itourbask/imgs/px.gif" width="1" height="3"></td></tr>
	<tr><td colspan="3"><img src="/appcont/itourbask/imgs/px.gif" width="1" height="2"></td></tr>
</table>
<!-- FIN CABECERA -->
<form name="frm">
<!-- TITULO SELECCION DE FORMATO DE IMPRESION -->
        <table cellpadding="0" cellspacing="0" border="0" width="100%">
            <tr>
                <!--<td width="5" align="right"><img src="/appcont/itourbask/imgs/titulo_izq.gif" height="15" width="5"></td>-->
                <td width="10" valign="middle" bgcolor="#087BBA" class="textoblancobold">•</td>
                <td valign="middle" bgcolor="#087BBA"><span class="textoblancobold">
                <%=not_formato%>
                </span></td>
            </tr>
            <tr><td><img src="imgs/px.gif" width="1" height="10"></td></tr>
        </table>        
<!-- FIN TITULO SELECCION DE FORMATO DE IMPRESION -->
<table cellpadding="0" cellspacing="0" border="0" align="center" width="50%">
            <tr>
               <td><input name='formato_impresion' type='radio' value='rollo'></td>
	           <td class='textonegrobold'>&nbsp;&nbsp;<%=not_norollo%>&nbsp;&nbsp;</td>
	           <td><input name='formato_impresion' type='radio' value='rollo' onclick="document.all['fila'].value='';document.all['columna'].value='';"></td>           
	           <td class='textonegrobold'>&nbsp;&nbsp;<%=not_rollo%>&nbsp;&nbsp;</td>
            </tr>
            <tr>
            	<td></td>
            	<td class='textonegrobold' align="left">&nbsp;&nbsp;<%=not_fila%> &nbsp; <input class='inptxt' name="fila" type="text" style='{width:33px;}' onclick="document.all['formato_impresion'][0].checked=true"> &nbsp;: 
            	&nbsp;<%=not_columna%>&nbsp;
            	&nbsp;<input class='inptxt' name="columna" type="text" style='{width:33px;}' onclick="document.all['formato_impresion'][0].checked=true">
            	</td>
            	<td></td>
            	<td><br></td>
            </tr>
            <tr><td colspan="4">&nbsp;</td></tr>          
</table>
<table cellpadding="0" cellspacing="0" border="0" align="center" width="20%">
 <tr>
 	<td class="textoazulbold" bgcolor="#0090D3" align="center"><a href="javascript:if('<%=sd.gOS("hay_batch")%>'=='si') generar_notificaciones_en_batch(); else generar_notificacion();" class="linkblancobold"><%=not_aceptar%></a></td>
 	<td width="60"></td>
 	<td class="textoazulbold" bgcolor="#0090D3" align="center"><a href="javascript:close()" class="linkblancobold"><%=not_cancelar%></a></td>
 </tr>
</table>
</form>
</body>
</html>